#!/usr/bin/env ruby
# coding: utf-8
# 第2問
# 次のプログラムは、九九の表を出力させるものですが
# 間違えているので動きません。
# これを ~/Ruby/debug-j2205-2.rb という名前で作成し、
# 間違っている部分を修正してください。

while true
  puts"九九の表です"
  puts"何をしますか?\n1:表の表示\n2:プログラムの終了"
  sentaku = gets.to_i
  if sentaku == 1
    #!/usr/bin/env ruby
    # -*- coding: utf-8 -*-

    puts"九九の表"
    gyou = 1
    retsu = 1
    gyou < 10 #縦に繰り返し
    retsu = 1
    printf("%4d | ", retsu)
    retsu2 = 1
    while retsu2 < 9 #横行の書き込み
      printf("%2d | ", (retsu2+=1)*gyou)
    end
    gyou += 1
    puts
    while gyou < 10
      retsu += 1
      printf("%4d | ", retsu)
      retsu2 = 1
      while retsu2 < 9
        printf("%2d | ", (retsu2+=1)*gyou)
      end
      puts
      gyou += 1
    end
  end

    if sentaku == 2
      puts"プログラムを終了します"
      sleep(1)
      break
    end
    if false
      redo
    end
end
